._container_im33l_1 {
  height: 100vh;
  width: 100vw;
  background-color: rgba(0, 0, 0, 0.405);
  position: fixed;
  left: 0;
  top: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 11;
}

._dialogContainer_im33l_27 {

  background-color: aliceblue;
  border-radius: 10px;
  max-height: 90vh;
  overflow: auto;
}

._large_im33l_43 {
  width: 95%;
  max-width: 1000px;
}

._extraLarge_im33l_53 {
  width: 95%;
  max-width: 1600px;
}

._small_im33l_63 {
  width: 95%;
  max-width: 600px;
}

._headerContainer_im33l_73 {
  padding-bottom: 10px;
  font-size: 26px;
  font-weight: 600;
  display: flex;
  justify-content: space-between;
  background-color: #1a81c1;
  padding: 10px;
  color: white;
}

._closeIcon_im33l_95 {
  padding: 2px;
  cursor: pointer;
}

._bodyContainer_im33l_105 {
  /* display: flex; */
  flex-wrap: wrap;
  gap: 15px;
  padding: 20px;
  background-color: #fff;
}

._maxigenerate_im33l_121 {
  margin-top: 0px;
  justify-content: end;
  display: flex;
  margin-bottom: 10px;
  color: #555;
  font-size: 14px;
}

._actionContainer_im33l_139 {
  width: 100%;
  padding-top: 20px;
  display: flex;
  gap: 10px;
}

._fieldBox_im33l_153 {
  width: 100%;
}

._fieldBox50_im33l_161 {
  width: calc(50% - 8px);
}

._fieldBox30_im33l_169 {
  width: calc(33% - 5px);
}

._fieldBox25_im33l_177 {
  width: calc(25% - 12px);
}

._fieldBox100_im33l_185 {
  width: 100%;
}

._hide_im33l_193 {
  display: none;
}

._submitButton_im33l_201 {
  width: 90px;
}

._buttonLoading_im33l_209 {
  cursor: not-allowed;
}


._cetegroyname_im33l_219 {
  display: flex;
  gap: 20px;
  /* Adjust the gap between the elements */
  align-items: center;
  /* Vertically center the items */
  /* Ensure items wrap in case of small screens */
}

._formcontainer_im33l_237 label {
  margin-right: 10px;
  /* Space between label and input */
  display: flex;
  flex-direction: column;
  /* Stack label and input vertically */
  justify-content: center;
}

._ellipsisButton_im33l_255 {
  background-color: #1a81c1;
  color: #fff;
  border: none;
  padding: 8px;
}

._formcontainer_im33l_237 input,
._formcontainer_im33l_237 select {
  width: 150px;
  /* Set width of inputs */
  padding: 8px;
  border: 1px solid #ccc;
  border-radius: 4px;
}

._generatetext_im33l_287 {
  font-size: 14px;
  margin-top: 15px !important;
  font-weight: 600;
}

._academySelect_im33l_299 {
  width: 100%;
  padding: 8px;
  font-size: 14px;
  color: #555;
  border: 1px solid #ddd;
  border-radius: 4px;
  background-color: #fff;
  height: 40px;
  margin: auto;
  margin-bottom: 15px;
}


._formInput_im33l_327 {
  width: 170px;
  padding: 8px;
  font-size: 14px;
  color: #555;
  border: 1px solid #ddd;
  border-radius: 4px;
  background-color: #fff;
}

._formInputselect_im33l_347 {
  width: 70px;
  padding: 8px;
  font-size: 14px;
  color: #555;
  border: 1px solid #ddd;
  border-radius: 4px;
  background-color: #fff;
}


._formcontainer_im33l_237 select {
  cursor: pointer;
}

/* ================================================================================================= */
@media screen and (max-width: 1000px) {
  ._fieldBox_im33l_153 {
    width: calc(33% - 8px);
  }
}

@media screen and (max-width: 770px) {
  ._fieldBox_im33l_153 {
    width: calc(50% - 8px);
  }
}

@media screen and (max-width: 450px) {
  ._fieldBox_im33l_153 {
    width: 100%;
  }
}

._departmentMain_im33l_415 {
  display: flex;
  align-items: center;
  padding: 10px;
  box-shadow: 0 2px 5px 0 rgba(0, 0, 0, .16), 0 2px 10px 0 rgba(0, 0, 0, .12);
  margin: 10px 0px;
}._checkboxContainer_1i3b0_1 {
  display: flex;
  align-items: center;
  padding: 20px;
  height: 100%;
  padding-top: 50px;
}

._checkboxContainer_1i3b0_1 input {
  width: 18px;
  height: 18px;
}

._checkboxLabel_1i3b0_27 {
  font-size: 14px;
  margin-left: 8px;
  cursor: pointer;
  text-transform: capitalize;
  user-select: none;
}
._checkboxLabel_1i3b0_27:hover {
  color: rgb(36, 91, 163);
}
._errorLabel_1i3b0_47 {
  color: red;
}
._checkboxInput_1i3b0_53 {
  height: 17px;
  width: 17px;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  border: 2px solid var(--primary-dark);
  border-radius: 5px;
  cursor: pointer;
  margin-left: 10px;
  min-width: 17px;
}
._checkboxInput_1i3b0_53:checked {
  background-color: var(--primary-dark);
  border-color: var(--primary-dark);
  box-shadow:
    inset rgb(255, 255, 255) -2px -2px 0px 0px,
    inset rgb(255, 255, 255) 2px 2px 0px 0px;
}
._container_r3p9h_1 {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
._buttonContainer_r3p9h_11 {
  display: flex;
  gap: 20px;
}
._fieldLabel_r3p9h_19 {
  line-height: 18px;
  font-weight: 700;
  color: var(--dark);
  text-transform: capitalize;
  padding-left: 8px;
  margin-top: 10px;
}
._inputWrapper_r3p9h_35 {
  display: flex;
  justify-content: space-between;
  padding: 19px 24px;
  border: 2px solid var(--grey-3);
  width: 100%;
  border-radius: 10px;
  margin-top: 10px;
  background-color: white;
}
._inputWrapper_r3p9h_35 span {
  cursor: pointer;
  font-size: 12px;
}
._textInput_r3p9h_63 {
  outline: none;
  border: none;
}
._inputWrapper_r3p9h_35:hover {
  border: 2px solid var(--primary);
}
._fieldError_r3p9h_77 {
  color: var(--error);
  font-size: 14px;
  text-transform: capitalize;
  margin-top: 8px;
  padding-left: 8px;
}
._inputFieldError_r3p9h_91 {
  border: 2px solid var(--error);
}
._uploadIndicator_r3p9h_97 {
  margin-top: 4px;
  width: 80px;
  overflow: hidden;
  text-overflow: ellipsis;
}
._uploadIndicator_r3p9h_97:hover {
  width: 150px;
  overflow: unset;
  text-overflow: unset;
  margin-left: 5px;
  color: rgb(27, 103, 179);
}
._downloadButton_r3p9h_123 {
  margin-top: 4px;
}
._downloadButton_r3p9h_123:hover {
  margin-top: 4px;
  color: rgb(36, 91, 163);
}
@keyframes marching-ants{0%{background-position:0 0,0 100%,0 0,100% 0}to{background-position:20px 0,-20px 100%,0 -20px,100% 20px}}:root{--rc-drag-handle-size:12px;--rc-drag-handle-mobile-size:24px;--rc-drag-handle-bg-colour:#0003;--rc-drag-bar-size:6px;--rc-border-color:#ffffffb3;--rc-focus-color:#08f}.ReactCrop{cursor:crosshair;max-width:100%;display:inline-block;position:relative}.ReactCrop *,.ReactCrop :before,.ReactCrop :after{box-sizing:border-box}.ReactCrop--disabled,.ReactCrop--locked{cursor:inherit}.ReactCrop__child-wrapper{max-height:inherit;overflow:hidden}.ReactCrop__child-wrapper>img,.ReactCrop__child-wrapper>video{max-width:100%;max-height:inherit;display:block}.ReactCrop:not(.ReactCrop--disabled) .ReactCrop__child-wrapper>img,.ReactCrop:not(.ReactCrop--disabled) .ReactCrop__child-wrapper>video,.ReactCrop:not(.ReactCrop--disabled) .ReactCrop__crop-selection{touch-action:none}.ReactCrop__crop-mask{pointer-events:none;width:calc(100% + .5px);height:calc(100% + .5px);position:absolute;inset:0}.ReactCrop__crop-selection{cursor:move;position:absolute;top:0;left:0;transform:translate(0,0)}.ReactCrop--disabled .ReactCrop__crop-selection{cursor:inherit}.ReactCrop--circular-crop .ReactCrop__crop-selection{border-radius:50%}.ReactCrop--circular-crop .ReactCrop__crop-selection:after{pointer-events:none;content:"";border:1px solid var(--rc-border-color);opacity:.3;position:absolute;inset:-1px}.ReactCrop--no-animate .ReactCrop__crop-selection{outline:1px dashed #fff}.ReactCrop__crop-selection:not(.ReactCrop--no-animate .ReactCrop__crop-selection){color:#fff;background-image:linear-gradient(90deg,#fff 50%,#444 50%),linear-gradient(90deg,#fff 50%,#444 50%),linear-gradient(#fff 50%,#444 50%),linear-gradient(#fff 50%,#444 50%);background-position:0 0,0 100%,0 0,100% 0;background-repeat:repeat-x,repeat-x,repeat-y,repeat-y;background-size:10px 1px,10px 1px,1px 10px,1px 10px;animation:1s linear infinite marching-ants}.ReactCrop__crop-selection:focus{outline:2px solid var(--rc-focus-color);outline-offset:-1px}.ReactCrop--invisible-crop .ReactCrop__crop-mask,.ReactCrop--invisible-crop .ReactCrop__crop-selection{display:none}.ReactCrop__rule-of-thirds-vt:before,.ReactCrop__rule-of-thirds-vt:after,.ReactCrop__rule-of-thirds-hz:before,.ReactCrop__rule-of-thirds-hz:after{content:"";background-color:#fff6;display:block;position:absolute}.ReactCrop__rule-of-thirds-vt:before,.ReactCrop__rule-of-thirds-vt:after{width:1px;height:100%}.ReactCrop__rule-of-thirds-vt:before{left:33.3333%}.ReactCrop__rule-of-thirds-vt:after{left:66.6667%}.ReactCrop__rule-of-thirds-hz:before,.ReactCrop__rule-of-thirds-hz:after{width:100%;height:1px}.ReactCrop__rule-of-thirds-hz:before{top:33.3333%}.ReactCrop__rule-of-thirds-hz:after{top:66.6667%}.ReactCrop__drag-handle{width:var(--rc-drag-handle-size);height:var(--rc-drag-handle-size);background-color:var(--rc-drag-handle-bg-colour);border:1px solid var(--rc-border-color);position:absolute}.ReactCrop__drag-handle:focus{background:var(--rc-focus-color)}.ReactCrop .ord-nw{cursor:nw-resize;top:0;left:0;transform:translate(-50%,-50%)}.ReactCrop .ord-n{cursor:n-resize;top:0;left:50%;transform:translate(-50%,-50%)}.ReactCrop .ord-ne{cursor:ne-resize;top:0;right:0;transform:translate(50%,-50%)}.ReactCrop .ord-e{cursor:e-resize;top:50%;right:0;transform:translate(50%,-50%)}.ReactCrop .ord-se{cursor:se-resize;bottom:0;right:0;transform:translate(50%,50%)}.ReactCrop .ord-s{cursor:s-resize;bottom:0;left:50%;transform:translate(-50%,50%)}.ReactCrop .ord-sw{cursor:sw-resize;bottom:0;left:0;transform:translate(-50%,50%)}.ReactCrop .ord-w{cursor:w-resize;top:50%;left:0;transform:translate(-50%,-50%)}.ReactCrop__disabled .ReactCrop__drag-handle{cursor:inherit}.ReactCrop__drag-bar{position:absolute}.ReactCrop__drag-bar.ord-n{width:100%;height:var(--rc-drag-bar-size);top:0;left:0;transform:translateY(-50%)}.ReactCrop__drag-bar.ord-e{width:var(--rc-drag-bar-size);height:100%;top:0;right:0;transform:translate(50%)}.ReactCrop__drag-bar.ord-s{width:100%;height:var(--rc-drag-bar-size);bottom:0;left:0;transform:translateY(50%)}.ReactCrop__drag-bar.ord-w{width:var(--rc-drag-bar-size);height:100%;top:0;left:0;transform:translate(-50%)}.ReactCrop--new-crop .ReactCrop__drag-bar,.ReactCrop--new-crop .ReactCrop__drag-handle,.ReactCrop--fixed-aspect .ReactCrop__drag-bar,.ReactCrop--fixed-aspect .ReactCrop__drag-handle.ord-n,.ReactCrop--fixed-aspect .ReactCrop__drag-handle.ord-e,.ReactCrop--fixed-aspect .ReactCrop__drag-handle.ord-s,.ReactCrop--fixed-aspect .ReactCrop__drag-handle.ord-w{display:none}@media (pointer:coarse){.ReactCrop .ord-n,.ReactCrop .ord-e,.ReactCrop .ord-s,.ReactCrop .ord-w{display:none}.ReactCrop__drag-handle{width:var(--rc-drag-handle-mobile-size);height:var(--rc-drag-handle-mobile-size)}}
._container_109lu_1 {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 40px;
}
._canvasContainer_109lu_13 {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
  font-size: 12px;
}
._cropContainer_109lu_27 {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
/* Slider.module.css */

._sliderContainer_h966a_5 {
  display: flex;
  align-items: center;
  width: 100%;
  gap: 10px;
}
._slider_h966a_5 {
  -webkit-appearance: none;
  width: 100%;
  height: 6px;
  background: #ddd;
  border-radius: 5px;
  outline: none;
  opacity: 0.7;
  transition: opacity 0.2s;
}

._slider_h966a_5:hover {
  opacity: 1;
}

._slider_h966a_5::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 20px;
  height: 20px;
  border-radius: 50%;
  background: #4caf50;
  cursor: pointer;
}

._slider_h966a_5::-moz-range-thumb {
  width: 20px;
  height: 20px;
  border-radius: 50%;
  background: #4caf50;
  cursor: pointer;
}

._value_h966a_83 {
  margin-left: 15px;
  font-size: 16px;
  min-width: 30px;
}
._multiSelectContainer_x7h71_1 {
  position: relative;
  display: inline-block;
  width: 100%;
}

._modalOverlay_x7h71_13 {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1000;
}

._modal_x7h71_13 {
  background-color: white;
  padding: 20px;
  border-radius: 8px;
  width: 400px;
  max-height: 80vh;
  overflow-y: auto;
}

._modalContent_x7h71_57 {
  display: flex;
  flex-direction: column;
}

._optionsList_x7h71_67 {
  list-style-type: none;
  padding: 0;
  margin: 0;
  max-height: 280px;
  overflow-y: auto;
}

._listOption_x7h71_83 {
  padding: 10px 15px;
  border: 1px solid lightgray;
  margin-top: 6px;
  border-radius: 5px;
}
._activeOption_x7h71_95 {
  background-color: green;
  color: white;
}

._optionItem_x7h71_105:last-child {
  border-bottom: none;
}

._closeButton_x7h71_113 {
  padding: 10px;
  background-color: var(--primary-dark);
  color: white;
  border: none;
  cursor: pointer;
  border-radius: 4px;
  margin-top: 10px;
}

._closeButton_x7h71_113:hover {
  background-color: var(--primary);
}

._fieldLabel_x7h71_141 {
  /* line-height: 18px; */
  font-weight: 700;
  color: var(--dark);
  text-transform: capitalize;
  padding-left: 8px;
  margin-top: 15px;
  font-size: 14px;
}
._textInput_x7h71_159 {
  padding: 18px 24px;
  border: 2px solid var(--grey-3);
  outline: none;
  width: 100%;
  border-radius: 10px;
  margin-top: 5px;
  cursor: pointer;
}
._textInput_x7h71_159::placeholder {
  color: black;
}
._textInput_x7h71_159:hover {
  border: 2px solid var(--primary);
}
._textInput_x7h71_159:active {
  border: 2px solid var(--primary-dark);
}
._fieldError_x7h71_195 {
  color: var(--error);
  font-size: 14px;
  margin-top: 4px;
  padding-left: 8px;
}
._inputFieldError_x7h71_207 {
  border: 2px solid var(--error);
}
._container_1gsxf_1 {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

._fieldLabel_1gsxf_13 {
  line-height: 18px;
  font-weight: 700;
  color: var(--dark);
  text-transform: capitalize;
  padding-left: 8px;
}
._inputWrapper_1gsxf_27 {
  display: flex;
  justify-content: space-between;
  padding: 16px 24px 15px;
  border: 2px solid var(--grey-3);
  width: 100%;
  border-radius: 10px;
  margin-top: 10px;
}
._inputWrapper_1gsxf_27 span {
  cursor: pointer;
  font-size: 14px;
}

._inputWrapper_1gsxf_27:hover {
  border: 2px solid var(--primary);
}
._fieldError_1gsxf_61 {
  color: var(--error);
  font-size: 14px;
  text-transform: capitalize;
  margin-top: 8px;
  padding-left: 8px;
}
._inputFieldError_1gsxf_75 {
  border: 2px solid var(--error);
}
._starRating_1pfmh_1 {
  display: flex;
}

._star_1pfmh_1 {
  width: 25px;
  height: 25px;
  display: inline-block;
  margin-right: 5px;
  background-color: #e4e5e9;

  clip-path: polygon(50% 0%, 61% 35%, 98% 35%, 68% 57%, 79% 91%, 50% 70%, 21% 91%, 32% 57%, 2% 35%, 39% 35%);
  cursor: pointer;
  transition: background-color 0.2s;
}
._small_1pfmh_31 {
  width: 16px;
  height: 16px;
}

._star_1pfmh_1._filled_1pfmh_41 {
  background-color: #ffc107;
}
._container_4upiw_1 {
  padding: 15px 30px;
  font-size: 20px;
  font-weight: bold;
  width: 100%;
  background-color: rgb(206, 216, 224);
  margin: 20px 0 10px;
  border-radius: 5px;
}
._label_ca11t_1 {
  font-weight: bold;
  margin-top: 10px;
  padding-left: 8px;
  font-size: 14px;
}
._inputBox_ca11t_13 {
  width: 100%;
  margin-top: 6px;
  padding: 18px 24px;
  border-radius: 10px;
  border: 2px solid var(--grey-3);
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  background-color: white;
  font-size: 14px;
}
._inputBox_ca11t_13:hover {
  border: 2px solid var(--primary);
}
._fieldError_ca11t_45 {
  color: var(--error);
  font-size: 14px;
  text-transform: capitalize;
  margin-top: 8px;
  padding-left: 8px;
}
/*$vite$:1*/